/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.base;

class ApplicationContainerItem {
    public ApplicationContainerItem(Object value, int timeout) {
        _timestamp = System.currentTimeMillis();
        _value = value;
        if (timeout <= 0)
            _timeout = INFINITE_TIMEOUT;
        else
            _timeout = timeout * 1000;
    } // public ApplicationContainerItem()

    public synchronized Object getValue() {
        _timestamp = System.currentTimeMillis();
        return _value;
    } // public synchronized Object getValue()

    public synchronized void setValue(Object value) {
        _timestamp = System.currentTimeMillis();
        _value = value;
    } // public synchronized void setValue(Object value)

    public synchronized long getLastUse() {
        return _timestamp;
    } // public synchronized long getLastUse()

    public long getTimeout() {
        return _timeout;
    } // public long getTimeout()

    private long _timestamp = 0;
    private Object _value = null;
    private long _timeout = 0;
    public static int INFINITE_TIMEOUT = 0;
} // class ApplicationContainerItem
