/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.dbaccess.pool;

import java.sql.Connection;
import java.sql.SQLException;

import javax.sql.DataSource;

/**
 * Questa classe costituisce un Wrapper su pool di connessioni di tipo JDBC 2.0 e permette a un pool di connessioni
 * di tipo jdbc 2.= nativo di essere utilizzato nel sottosistema di accesso ai dati
 *
 * @author Andrea Zoppello 
 * @version 1.0
 */
public class NativePoolWrapper implements ConnectionPoolInterface {
	DataSource _nativeConnectionPool = null;

    public NativePoolWrapper(DataSource nativeConnectionPool) {
        _nativeConnectionPool = nativeConnectionPool;
    } //public NativePoolWrapper(ConnectionPoolDataSource nativeConnectionPool)

  /**
    * Ritorna una connessione dal pool
    * @return <B>Connection</B> - L'oggetto Connection ritornato dal pool nativo
    */
    public Connection getConnection() throws SQLException {
        return _nativeConnectionPool.getConnection();
    } //public Connection getConnection() throws SQLException

    public synchronized void release() throws SQLException {
    } // public synchronized void release() throws SQLException
} //end Class NativePoolWrapper
