/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.dispatching.action;

import it.eng.spago.base.Constants;
import it.eng.spago.base.SourceBean;
import it.eng.spago.base.SourceBeanException;
import it.eng.spago.tracing.TracerSingleton;

public class NavigationErrorUtility {
    public static final String NAVIGATION_ERROR_ACTION =
        "NAVIGATION_ERROR_ACTION";

    private NavigationErrorUtility() {
        super();
    } // private NavigationErrorAction()

    public static SourceBean getNavigationErrorServiceRequest() {
        SourceBean navigationErrorServiceRequest = null;
        try {
            navigationErrorServiceRequest =
                new SourceBean(Constants.SERVICE_REQUEST);
            navigationErrorServiceRequest.setAttribute(
                Constants.ACTION_NAME,
                NAVIGATION_ERROR_ACTION);
        } // try
        catch (SourceBeanException ex) {
            TracerSingleton.log(
                Constants.NOME_MODULO,
                TracerSingleton.CRITICAL,
                "Navigator::checkNavigation: ",
                ex);
        } // catch (SourceBeanException ex)
        return navigationErrorServiceRequest;
    } // public static SourceBean getNavigationErrorServiceRequest()
} // public class NavigationErrorAction
