/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.dispatching.module;

import it.eng.spago.base.SourceBean;
import it.eng.spago.dispatching.service.ServiceIFace;

/**
 * La classe <code>ModuleIFace</code> &egrave; l'interfaccia che viene implementata da tutti gli oggetti
 * di tipo module.
 */
public interface ModuleIFace extends ServiceIFace {
    /**
     * Ritorna il nome del modulo.
     * @return il nome del modulo.
     */
    String getModule();

    /**
     * Questo metodo permette di impostare il nome del modulo.
     * @param il nome del modulo.
     */
    void setModule(String module);

    /**
     * Ritorna il nome della pagina.
     * @return il nome della pagina.
     */
    String getPage();

    /**
     * Questo metodo permette di impostare il nome della pagina.
     * @param il nome della pagina.
     */
    void setPage(String page);

    /**
     * Questo metodo permette di impostare il contenitore condiviso da tutti i moduli
     * della stessa  pagina.Questo contenitore viene ricreato ad ogni richiesta di servizio.
     * @param sharedData il contenitore condiviso.
     */
    void setSharedData(SourceBean sharedData);
} // public interface ModuleIFace extends ServiceIFace
