/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.dispatching.module.list.basic;

import it.eng.spago.base.Constants;
import it.eng.spago.base.SourceBean;
import it.eng.spago.dispatching.module.AbstractModule;
import it.eng.spago.dispatching.service.list.basic.IFaceBasicListService;
import it.eng.spago.dispatching.service.list.basic.impl.DelegatedBasicListService;
import it.eng.spago.paginator.basic.ListIFace;
import it.eng.spago.tracing.TracerSingleton;

public abstract class AbstractBasicListModule extends AbstractModule implements IFaceBasicListService {
    private ListIFace _list = null;

    public AbstractBasicListModule() {
        super();
    } // public AbstractBasicListModule()

    /**
     * @see it.eng.spago.dispatching.service.ServiceIFace#service(SourceBean, SourceBean)
     */
    public void service(SourceBean serviceRequest, SourceBean serviceResponse) throws Exception {
        TracerSingleton.log(Constants.NOME_MODULO, TracerSingleton.DEBUG, "AbstractBasicListModule::service: invocato");
        DelegatedBasicListService.service(this, serviceRequest, serviceResponse);
    } // public void service(SourceBean serviceRequest, SourceBean
    // serviceResponse) throws Exception

    /**
     * @see it.eng.spago.dispatching.service.list.basic.IFaceBasicListService#getList()
     */
    public ListIFace getList() {
        TracerSingleton.log(Constants.NOME_MODULO, TracerSingleton.DEBUG, "AbstractBasicListModule::getList: invocato");
        return _list;
    } // public ListIFace getList()

    /**
     * @see it.eng.spago.dispatching.service.list.basic.IFaceBasicListService#setList(ListIFace)
     */
    public void setList(ListIFace list) {
        TracerSingleton.log(Constants.NOME_MODULO, TracerSingleton.DEBUG, "AbstractBasicListModule::setList: invocato");
        _list = list;
    } // public void setList(ListIFace list)

    /**
     * @see it.eng.spago.dispatching.service.list.basic.IFaceBasicListService#callback(SourceBean, ListIFace, int)
     */
    public void callback(SourceBean request, SourceBean response, ListIFace list, int page)  throws Exception{
        TracerSingleton.log(Constants.NOME_MODULO, TracerSingleton.WARNING,
            "AbstractBasicListModule::callback: metodo non implementato !");
    } // public void callback(SourceBean request, SourceBean response,
    // ListIFace list, int page) throws Exception

    /**
     * @see it.eng.spago.dispatching.service.list.basic.IFaceBasicListService#delete(SourceBean)
     */
    public boolean delete(SourceBean request, SourceBean response) {
        TracerSingleton.log(Constants.NOME_MODULO, TracerSingleton.WARNING,
            "AbstractBasicListModule::delete: metodo non implementato !");
        return false;
    } // public boolean delete(SourceBean request, SourceBean response)
} // public abstract class AbstractBasicListModule extends AbstractModule implements IFaceBasicListService
