/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.error;

/**
 * Questa classe gestisce le possibili severity utilizzabili all'atto della costruzione di un errore.
 * @author Luigi Bellio
 * @see EMFErrorHandler
 */
public class EMFErrorSeverity {
    /**
     * Ritorna un <code>boolean</code> con il seguente significato:
     * <em>true</em> il parametro severity in input  valido.
     * <em>false</em> il parametro severity in input non  valido.
     * @return <code>boolean</code> la validit della severity passata in input.
     */
    public static boolean isSeverityValid(String severity) {
        if ((severity == null) || ((severity != null) && !severity.equals(EMFErrorSeverity.INFORMATION) &&
            !severity.equals(EMFErrorSeverity.WARNING) && !severity.equals(EMFErrorSeverity.ERROR) &&
            !severity.equals(EMFErrorSeverity.BLOCKING)))
                return false;
        return true;
    } // public static boolean isSeverityValid(String severity)

    public static final String INFORMATION = "INFORMATION";
    public static final String WARNING = "WARNING";
    public static final String ERROR = "ERROR";
    public static final String BLOCKING = "BLOCKING";
} // public class EMFErrorSeverity
