/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.event;

import java.util.Collection;
import java.util.HashMap;

import it.eng.spago.event.condition.EventConditionIFace;
import it.eng.spago.event.handler.EventHandlerIFace;

public class EventConditionsHandlerRelation {
    private HashMap _eventConditions = null;
    private EventHandlerIFace _eventHandler = null;

    public EventConditionsHandlerRelation() {
        super();
        _eventConditions = new HashMap();
    } // public ConditionsHandlerRelation()

    public EventHandlerIFace getEventHandler() {
        return _eventHandler;
    } // public EventHandlerIFace getEventHandler()

    public void setEventHandler(EventHandlerIFace eventHandler) {
        _eventHandler = eventHandler;
    } // public void setEventHandler(EventHandlerIFace eventHandler)

    public Collection getEventConditions() {
        return _eventConditions.values();
    } // public Collection getEventConditions()

    public void setEventCondition(EventConditionIFace eventCondition) {
        if (eventCondition == null)
            return;
        if (_eventConditions.containsKey(eventCondition.getKey()))
            return;
        _eventConditions.put(eventCondition.getKey(), eventCondition);
    } // public void setEventCondition(EventConditionIFace eventCondition)
} // public class ConditionsHandlerRelation
