/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.event.handler;

import java.util.Collection;

import it.eng.spago.base.Constants;
import it.eng.spago.base.RequestContainer;
import it.eng.spago.base.ResponseContainer;
import it.eng.spago.base.SourceBean;
import it.eng.spago.init.InitializerIFace;
import it.eng.spago.tracing.TracerSingleton;

public abstract class AbstractEventHandler implements InitializerIFace, EventHandlerIFace {
    private SourceBean _config = null;

    public AbstractEventHandler() {
        super();
        _config = null;
    } // public AbstractEventPlugin()

    public void init(SourceBean config) {
        TracerSingleton.log(Constants.NOME_MODULO, TracerSingleton.DEBUG, "AbstractEventHandler::init: config", config);
        _config = config;
    } // public void init(SourceBean config)

    public SourceBean getConfig() {
        return _config;
    } // public SourceBean getConfig()

    public String getKey() {
        return (String)_config.getAttribute("KEY");
    } // public String getKey()

    public void service(Collection eventConditions, RequestContainer request, ResponseContainer response) {
        TracerSingleton.log(Constants.NOME_MODULO, TracerSingleton.DEBUG,
            "AbstractEventHandler::service: servizio non implementato");
    } // public void service(Collection eventConditions, RequestContainer
    // request, ResponseContainer response)
} // public abstract class AbstractEventHandler implements InitializerIFace, EventHandlerIFace
