/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.event.handler.impl;

import it.eng.spago.base.Constants;
import it.eng.spago.base.SourceBean;
import it.eng.spago.event.handler.AbstractEventHandlerDriver;
import it.eng.spago.event.handler.EventHandlerIFace;
import it.eng.spago.init.InitializerIFace;
import it.eng.spago.tracing.TracerSingleton;

public class DefaultEventHandlerDriver extends AbstractEventHandlerDriver {
    private EventHandlerIFace _eventHandler = null;

    public DefaultEventHandlerDriver() {
        super();
    } // public DefaultEventHandlerDriver()

    public void init(SourceBean config) {
        TracerSingleton.log(Constants.NOME_MODULO, TracerSingleton.DEBUG, "DefaultEventHandlerDriver::init: invocato");
        if (config != null)
            config = (SourceBean)config.cloneObject();
        super.init(config);
        try {
            String eventHandlerClassName = (String)config.getAttribute("CLASS");
            _eventHandler = (EventHandlerIFace)Class.forName(eventHandlerClassName).newInstance();
            ((InitializerIFace)_eventHandler).init(config);
        } // try
        catch (Exception ex) {
            TracerSingleton.log(Constants.NOME_MODULO, TracerSingleton.CRITICAL, "DefaultEventHandlerDriver::init:", ex);
        } // catch (Exception ex) try
    } // public void init(SourceBean config)

    public boolean acceptsEventHandler(String eventHandlerKey) {
        TracerSingleton.log(Constants.NOME_MODULO, TracerSingleton.DEBUG,
            "DefaultEventHandlerDriver::acceptsEventHandler: eventHandlerKey [" + eventHandlerKey + "]");
        TracerSingleton.log(Constants.NOME_MODULO, TracerSingleton.DEBUG,
            "DefaultEventHandlerDriver::acceptsEventHandler: config", getConfig());
        TracerSingleton.log(Constants.NOME_MODULO, TracerSingleton.DEBUG,
            "DefaultEventHandlerDriver::acceptsEventHandler: _eventHandler.getKey() [" + _eventHandler.getKey() + "]");
        return _eventHandler.getKey().equalsIgnoreCase(eventHandlerKey);
    } // public boolean acceptsEventHandler(String eventHandlerKey)

    public EventHandlerIFace getEventHandler() {
        return _eventHandler;
    } // public EventHandlerIFace getEventHandler()
} // public class DefaultEventHandlerDriver extends AbstractEventHandlerDriver
