/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.event.manager;

import it.eng.spago.base.SourceBean;

/**
 * @author Daniela Butano
 *
 */
public interface EventManagerIFace {
    public SourceBean getAllEvents() throws Exception;

    public SourceBean getEventsForType(String typeEvent) throws Exception;

    public SourceBean getPluginsAssociableWithEvent(String eventName) throws Exception;

    public SourceBean getPluginAssociableWithEvent(String eventName, String pluginType) throws Exception;

    public void associatePluginToEvent(String pluginName, String eventName) throws Exception;

    public void removePluginFromEvent(String pluginName, String eventName) throws Exception;

    public SourceBean getEventsType() throws Exception;

    public SourceBean getEventsForRole(String roleName) throws Exception;

    public SourceBean getEventsForUser(String userId) throws Exception;

    public SourceBean getRolesForEvent(String eventName) throws Exception;

    public void removeRoleFromEvent(String roleName, String eventName) throws Exception;

    public void associateRoleToEvent(String roleName, String eventName) throws Exception;

    public void createNewEventType(String key, String description) throws Exception;

    public void removeEventType(String key) throws Exception;

    public void createNewEvent(String key, String description, String type) throws Exception;

    public void removeEvent(String key) throws Exception;
}
