/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.paginator.smart;

import it.eng.spago.base.SourceBean;

/**
 * @author Administrator
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public interface IFaceRowHandler extends IFaceRowProvider {
    /**
     * Esegue l'inserimento di una riga nella lista. Ritorna l'esito
     * dell'operazione.
     * <p>
     * @return <code>boolean</code> esito dell'operazione
     */
    boolean insertRow();

    /**
     * Esegue l'operazione di update dei dati di dettaglio relativi all'ultima
     * riga recuperata o individuata con il comando <code>absolute(int).
     */
    boolean updateRow();

    /**
     * Esegue l'operazione di select dei dati di dettaglio relativi all'ultima
     * riga recuperata o individuata con il comando <code>absolute(int).
     * <p>
     * @return <code>SourceBean</code> che contiene i dati richiesti.
     */
    SourceBean selectRow();

    /**
     * Cancella l'ultima riga recuperata o individuata con il comando
     * <code>absolute(int).
     * <p>
     * @return <code>boolean</code> esito dell'operazione
     */
    boolean deleteRow();
} // public interface IFaceRowHandler extends IFaceRowProvider
