/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.util;
/**
* DATE            CONTRIBUTOR/DEVELOPER    NOTE
* 13-12-2004		  Butano           SourceBean ora restituisce ArrayList
* 										    
**/

/**
 * La classe <code>JavaScript</code>  una classe di utility che  mette a disposizione dei metodi
 * statici che implementano le stesse funzionalit di alcune funzioni in javascript.
 * @author Luigi Bellio
 */
 
public class JavaScript {
    /**
     * Questo metodo implementa la stessa logica della funzione javascript <em>escape</em>.
     * @param input stringa da manipolare.
     */
    public static String escape(String input) {
        input = replace(input, "%", "%25");
        input = replace(input, " ", "%20");
        input = replace(input, "\"", "%22");
        input = replace(input, "'", "%27");
        input = replace(input, "<", "%3C");
        input = replace(input, "<", "%3E");
        input = replace(input, "?", "%3F");
        input = replace(input, "&", "%26");
        return input;
    } // public static String escape(String input)

    /**
     * Questo metodo manipola la stringa in input permettendo le seguenti sostituzioni:
     * da <em>"\n"</em> a <em>"\\n"</em>,
     * da <em>"\""</em> a <em>"'"</em>
     * @param input stringa da manipolare.
     */
    public static String escapeText(String input) {
        input = replace(input, "\n", "\\n");
        input = replace(input, "\"", "'");
        return input;
    } // public static String escapeCarrigeReturn(String input)

    /**
     * Questo metodo permette di sostituire una parte di una stringa con un'altra.
     * @param toParse stringa da manipolare.
     * @param replacing parte di stringa da sostituire.
     * @param replaced stringa nuova.
     */
    public static String replace(String toParse, String replacing, String replaced) {        
        if (toParse == null) {            
            return toParse;
        } // if (toParse == null)       
        if (replacing == null) {            
            return toParse;
        } // if (replacing == null)        
        if (replaced != null) {
            int parameterIndex = toParse.indexOf(replacing);
            while (parameterIndex != -1) {
                String newToParse = toParse.substring(0, parameterIndex);
                newToParse += replaced;
                newToParse += toParse.substring(parameterIndex + replacing.length(), toParse.length());               
                toParse = newToParse;
                parameterIndex = toParse.indexOf(replacing, parameterIndex + replaced.length());
            } // while (parameterIndex != -1)
        } // if (replaced != null)
        return toParse;
    } // public static String replace(String toParse, String replacing, String replaced)
} // public class JavaScript
