/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.util;

import it.eng.spago.base.SourceBean;
import it.eng.spago.configuration.ConfigSingleton;
import it.eng.spago.init.InitializerIFace;

import com.jamonapi.MonitorFactory;

public class MonitorInitializer implements InitializerIFace {
    private SourceBean _config = null;

    public MonitorInitializer() {
        super();
        _config = null;
    } // public MonitorInitializer()()

    public void init(SourceBean config) {
        ConfigSingleton configure = ConfigSingleton.getInstance();                
        String enabled = (String)configure.getAttribute("COMMON.MONITOR_ENABLED");        
        if ((enabled != null) && enabled.equalsIgnoreCase("TRUE"))
             MonitorFactory.setEnabled(true);
        else MonitorFactory.setEnabled(false);
    } // public void init(SourceBean config)

    public SourceBean getConfig() {
        return _config;
    } // public SourceBean getConfig()
} // public class MonitorInitializer implements InitializerIFace
