/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.util;

import java.io.ByteArrayOutputStream;
import java.io.ObjectOutputStream;

import it.eng.spago.base.Constants;
import it.eng.spago.tracing.TracerSingleton;

public class Serializer {
    private Serializer() {
        super();
    } // private Serializer()

    public static byte[] serialize(Object obj) {
        ByteArrayOutputStream byteArrayOutputStream =
            new ByteArrayOutputStream();
        try {
            ObjectOutputStream objectOutputStream =
                new ObjectOutputStream(byteArrayOutputStream);
            objectOutputStream.writeObject(obj);
            byteArrayOutputStream.toByteArray();
        } // try
        catch (Exception ex) {
            TracerSingleton.log(
                Constants.NOME_MODULO,
                TracerSingleton.DEBUG,
                "Serializer::serialize: errore serializzazione oggetto ["
                    + obj
                    + "]");
            TracerSingleton.log(
                Constants.NOME_MODULO,
                TracerSingleton.DEBUG,
                "Serializer::serialize: " + ex.getMessage());
        } // catch (Exception ex)
        return byteArrayOutputStream.toByteArray();
    } // public static byte[] serialize(Object obj)
} // public class Serializer
