/**

    Copyright 2004 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

**/
package it.eng.spago.dispatching.jmschannel;

import java.io.Serializable;

import javax.jms.JMSException;
import javax.jms.Queue;
import javax.jms.QueueConnection;
import javax.jms.QueueConnectionFactory;
import javax.jms.QueueSender;
import javax.jms.QueueSession;
import javax.jms.TextMessage;
import javax.naming.InitialContext;
import javax.naming.NamingException;

public class AdapterJMSProxy implements Serializable {
    
	/**
     * 
     */
    private static final long serialVersionUID = 1L;

    private QueueConnection conn;

	private QueueSession session;

	private Queue queueSpago;

	private InitialContext iniCtx = null;
 

	public AdapterJMSProxy() throws JMSException, NamingException {
		create();
	}

	public void create() throws NamingException {
		iniCtx = new InitialContext();

	}
	/**
	 * Esegue la lookup alla coda
	 * @param queue
	 * @throws JMSException
	 * @throws NamingException
	 */
	private void lookUp(String queue) throws JMSException, NamingException {
		Object tmp = iniCtx.lookup("UIL2ConnectionFactory");
		QueueConnectionFactory qcf = (QueueConnectionFactory) tmp;
		conn = qcf.createQueueConnection();
		queueSpago = (Queue) iniCtx.lookup(queue);
		session = conn.createQueueSession(false, QueueSession.AUTO_ACKNOWLEDGE);
		conn.start();
	}
	/**
	 * Inserisce un messaggio di testo nella coda.
	 * @param queue String nome della coda JMS
	 * @param message String messaggio di testo da inserire in coda
	 * @throws JMSException
	 * @throws NamingException
	 */
	public void sendMessage(String queue,String message) throws JMSException,NamingException {
		lookUp(queue);
		QueueSender send = session.createSender(queueSpago);
		TextMessage msg=session.createTextMessage();
		msg.setText(message);		
		send.send(msg);
		conn.stop();
		session.close();
		conn.close();
	}
}
