/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.attachment;

import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.fileupload.DiskFileUpload;
import org.apache.commons.fileupload.FileItem;
import org.apache.commons.fileupload.FileUploadException;

public class HttpAttachmentItem extends AbstractAttachmentItem {
    private HttpAttachmentItem(FileItem fileItem) throws IOException {
        super();
        setFieldName(fileItem.getFieldName());
        setName(fileItem.getName());
        setContentType(fileItem.getContentType());
        setInputStream(fileItem.getInputStream());
    } // private HttpAttachmentItem(FileItem fileItem) throws IOException

    public static HttpAttachmentItem[] getAttachments(HttpServletRequest request)
        throws IOException {
        ArrayList attachments = new ArrayList();
        DiskFileUpload upload = new DiskFileUpload();
        //        upload.setSizeThreshold(arg0);
        //        upload.setSizeMax(arg0);
        //        upload.setRepositoryPath(arg0);
        List items = null;
        try {
            items = upload.parseRequest(request);
        } // try
        catch (FileUploadException fue) {
            throw new IOException(fue.getMessage());
        } // catch (FileUploadException fue)
        Iterator iter = items.iterator();
        while (iter.hasNext()) {
            FileItem item = (FileItem) iter.next();
            if (!item.isFormField())
                attachments.add(new HttpAttachmentItem(item));
        } // while (iter.hasNext())
        return (HttpAttachmentItem[]) attachments.toArray();
    } // public static HttpAttachmentItem[] getAttachments(HttpServletRequest request) throws IOException
} // public class HttpAttachmentItem extends AbstractAttachmentItem
