/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.dispatching.httpchannel.upload;

import it.eng.spago.base.Constants;
import it.eng.spago.base.SourceBean;
import it.eng.spago.dispatching.service.DefaultRequestContext;
import it.eng.spago.init.InitializerIFace;
import it.eng.spago.tracing.TracerSingleton;

import java.io.File;

import org.apache.commons.fileupload.FileItem;

public class SaveOnDiskUploader extends DefaultRequestContext implements IUploadHandler, InitializerIFace {

	private static final long serialVersionUID = 1L;
    
    private String filePath = null;

	public void init(SourceBean config) {
        filePath = (String)config.getAttribute("PATH");
	}

	public void upload(FileItem fileItem) throws Exception {
		String fieldName = fileItem.getFieldName();
		String fileName = filterName(fileItem.getName());

        TracerSingleton.log(Constants.NOME_MODULO, TracerSingleton.INFORMATION,
        "SaveOnDiskUploader::upload: Upload file " + fileName);
        
		getServiceRequest().setAttribute(
				fieldName + "_FILENAME", fileName);
		
		File diskFile = new File(filePath + fileName);
		fileItem.write(diskFile);
	}

    public SourceBean getConfig() {
        return null;
    }
    
    private String filterName(String fileName) {
        String result = fileName;
        int pos = fileName.lastIndexOf("/");
        if (pos != -1) {
            result = fileName.substring(pos + 1);
        } else {
            pos = fileName.lastIndexOf("\\");
            if (pos != -1) {
                result = fileName.substring(pos + 1);
            }
        }
        return result;
    }

}
